<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:s="http://www.stylusstudio.com/xquery">
    <xsl:template match="/">
        <html>
            <head/>
            <body>
                <div style="font-family: Arial;font-size: 10pt;font-weight: normal;font-style: normal;text-decoration: none;text-align: none;color: #000000;background: transparent;">
                    <span style="font-family: Arial;">
                        <xsl:text>Stock holdings for </xsl:text>
                    </span>
                    <span style="font-family: Arial;font-weight: bold;">
                        <xsl:value-of select="/report/user/firstName"/>
                    </span>
                    <span style="font-family: Arial;">
                        <xsl:text> </xsl:text>
                    </span>
                    <span style="font-family: Arial;font-weight: bold;">
                        <xsl:value-of select="/report/user/lastName"/>
                    </span>
                    <span style="font-family: Arial;">
                        <xsl:text>:</xsl:text>
                        <br/>
                        <br/>
                        <table align="none" width="100%" border="2pt" cellspacing="1pt" cellpadding="1pt">
                            <tbody>
                                <tr bgcolor="aqua">
                                    <td>
                                        <div style="text-align: none;">
                                            <xsl:text>Ticker</xsl:text>
                                            <br/>
                                        </div>
                                    </td>
                                    <td>
                                        <div style="text-align: none;">
                                            <xsl:text>Company</xsl:text>
                                            <br/>
                                        </div>
                                    </td>
                                    <td>
                                        <div style="text-align: right;">
                                            <xsl:text>Quantity</xsl:text>
                                            <br/>
                                        </div>
                                    </td>
                                </tr>
                                <xsl:for-each select="/report/holdings/holding">
                                    <xsl:variable name="holding" select="."/>
                                    <tr>
                                        <td>
                                            <div style="text-align: none;">
                                                <span style="font-weight: bold;">
                                                    <xsl:value-of select="stock/ticker"/>
                                                </span>
                                                <xsl:text> ($</xsl:text>
                                                <xsl:value-of select="stock/current-value"/>
                                                <xsl:text> right now)</xsl:text>
                                                <br/>
                                            </div>
                                        </td>
                                        <td>
                                            <div style="text-align: none;">
                                                <xsl:value-of select="company"/>
                                                <br/>
                                                <xsl:text>Revenues last year: </xsl:text>
                                                <xsl:value-of select="revenues"/>
                                                <br/>
                                                <xsl:text>Headquarters: </xsl:text>
                                                <xsl:value-of select="location"/>
                                                <br/>
                                            </div>
                                        </td>
                                        <td>
                                            <div style="text-align: right;color: {if(quantity > 2500) then &quot;red&quot; else &quot;black&quot;};">
                                                <span style="font-weight: bold;">
                                                    <xsl:value-of select="quantity"/>
                                                </span>
                                                <br/>
                                            </div>
                                        </td>
                                    </tr>
                                </xsl:for-each>
                            </tbody>
                        </table>
                        <br/>
                    </span>
                </div>
            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>